{* Подключаем CSS из папки нашего модуля. basepath=root означает, что будет ожидаться путь относительно корня сайта*}
{addcss file="{$mod_css}/shoplist.css" basepath="root"}
<ul class="shoplist">
    {foreach from=$shops item=shop}
    <li>
        {if $shop.image}
            {* отображаем изображение 150x150, с типом масштабирования - xy *}
            <img src="{$shop.__image->getUrl(150, 150, 'xy')}" class="picture">
        {/if}
        <p class="city">{$shop.city}</p>
        <p class="address">{$shop.address}</p>
        <p class="phones">Тел. {$shop.phones}</p>
        <p class="worktime">Время работы: {$shop.worktime}</p>
        <div class="desc">{$shop.description}</div>
    </li>
    {/foreach}
</ul>

{* Пагинатор *}
{if $paginator->total_pages>1}
    <div class="paginator">
        {if $paginator->showFirst()}
        <a href="{$paginator->getPageHref(1)}" title="первая страница">&laquo;</a>
        {/if}
        {if $paginator->page>1}
        <a href="{$paginator->getPageHref($paginator->page-1)}" title="предыдущая страница">&laquo;<span class="text"> назад</span></a>
        {/if}
        {foreach from=$paginator->getPageList() item=page}            
        <a href="{$page.href}" {if $page.act}class="act"{/if}>{if $page.class=='left'}&laquo;{$page.n}{elseif $page.class=='right'}{$page.n}&raquo;{else}{$page.n}{/if}</a>
        {/foreach}
        {if $paginator->page < $paginator->total_pages}
        <a href="{$paginator->getPageHref($paginator->page+1)}" title="следующая страница"><span class="text">вперед</span> &raquo;</a>
        {/if}
        {if $paginator->showLast()}
        <a href="{$paginator->getPageHref($paginator->total_pages)}" title="последняя страница">&raquo;</a>
        {/if}
    </div>
{/if}
{* /Пагинатор *}